#ifndef DCIPFILTERCONTROL_H
#define DCIPFILTERCONTROL_H

#include <QDialog>
#include <QTreeWidgetItem>
#include <QCloseEvent>
#include <QRadioButton>
#include <QList>

#include "dcipfilter.h"
#include "dcconfig.h"
#include "ipfiltermodel.h"

#include "DCDialogIPFilter.h"

class DCIPFilterControl : public QDialog, private Ui::DCDialogIPFilter {
    Q_OBJECT

public:
    /** */
    DCIPFilterControl(QWidget *parent = 0);
    /** */
    virtual ~DCIPFilterControl();

private:
    /** */
    void InitDocument();
    /** */
    void loadItems();

    /** */
    IPFilterModel *model;
protected:
    virtual void closeEvent(QCloseEvent *e);

private slots:
    /** */
    void slotCheckBoxClick();

    /** */
    void slotRuleAdded(QString, eDIRECTION);

    /** */
    void slotTreeViewContextMenu(QPoint);

    /** */
    void slotExport();
    /** */
    void slotImport();

    /** */
    void slotAddRule();
};

#endif
